3
1 1
2 2
1 3
3 3
end of relation
4
1 2
2 1
1 3
2 3
2 2
1 1
4 4
end of relation
1
end of relation
1
1 1
end of relation
3
1 1
1 2
2 1
2 2
3 3
end of relation
3
1 1
1 2
2 1
2 2
end of relation
3
1 1
1 2
2 2
2 3
1 3
3 3
end of relation
3
1 1
2 1
2 2
end of relation
3
1 1
1 2
2 1
2 2
2 3
3 2
3 3
end of relation
3
1 1
1 2
2 1
2 2
2 3
3 2
end of relation
3
1 1
1 2
2 1
2 2
2 3
3 3
end of relation
3
1 1
1 2
2 2
2 3
end of relation
end of input
